/***************************************************************************
 *   Copyright (C) 2007 by Vincenzo Forchi`,,,   *
 *   vincenzo.forchi@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef preinjinterlock_H
#define preinjinterlock_H

#include "ui_preinjinterlock.h"
#include "ui_mod.h"
#include "ui_gun.h"
#include "ui_foc.h"

class PreInjInterlock: public QWidget
{
    Q_OBJECT

public:
    PreInjInterlock(QWidget * =NULL);
    ~PreInjInterlock();

    void setGunDevname(QString d){ devGun = d; };
    void setMod1Devname(QString d){ devMod1 = d; };
    void setMod2Devname(QString d){ devMod2 = d; };
    void setFocDevname(QString d){ devFoc = d; };
    void connectGun();
    void connectMod1();
    void connectMod2();
    void connectFoc();

public slots:
    void connectToField();
    void showGun();
    void showAlmGun();
    void showMod1();
    void showAlmMod1();
    void showMod2();
    void showAlmMod2();
    void updateAlarms();

private:
    Ui::PreInjInterlock ui;
    Ui::Mod	uiMod1, uiMod2, uiAlmMod1, uiAlmMod2;
    Ui::Gun	uiGun, uiAlmGun;
    Ui::Foc	uiFoc;
    QString	devGun, devMod1, devMod2, devFoc;
};


#endif
